# Uses of Interface
org.pentaho.reporting.libraries.repository.ContentEntity

Packages that use ContentEntity
Package
Description
org.pentaho.reporting.libraries.repository
org.pentaho.reporting.libraries.repository.dummy
org.pentaho.reporting.libraries.repository.email
org.pentaho.reporting.libraries.repository.file
org.pentaho.reporting.libraries.repository.stream
org.pentaho.reporting.libraries.repository.zip
org.pentaho.reporting.libraries.repository.zipreader
org.pentaho.reporting.libraries.repository.zipwriter

## Uses of ContentEntity in org.pentaho.reporting.libraries.repository

Subinterfaces of ContentEntity in org.pentaho.reporting.libraries.repository
Modifier and Type
Interface
Description
`interface`
`ContentItem`
A content item holds the actual content.
`interface`
`ContentLocation`
This represents a container in the repository.
Methods in org.pentaho.reporting.libraries.repository that return ContentEntity
Modifier and Type
Method
Description
`static ContentEntity`
RepositoryUtilities.`getEntity(Repository repository, String[] name)`
Returns the content entity for the given path name.
`ContentEntity`
ContentLocation.`getEntry(String name)`
Returns the content entity with the given name.
`ContentEntity[]`
ContentLocation.`listContents()`
Returns all content entities stored in this content-location.
Methods in org.pentaho.reporting.libraries.repository with parameters of type ContentEntity
Modifier and Type
Method
Description
`static String`
RepositoryUtilities.`buildName(ContentEntity entity, String separator)`
Builds a string of an absolute pathname for the given entity and using the given separator to separate filename segments..
`static String[]`
RepositoryUtilities.`buildNameArray(ContentEntity entity)`
Builds a absolute pathname for the given entity.

## Uses of ContentEntity in org.pentaho.reporting.libraries.repository.dummy

Classes in org.pentaho.reporting.libraries.repository.dummy that implement ContentEntity
Modifier and Type
Class
Description
`class`
`DummyContentItem`
A dummy content item, that does not provide any input and that does swallow all content fed into it.
`class`
`DummyContentLocation`
A dummy content location holds references to all dummy items.
Methods in org.pentaho.reporting.libraries.repository.dummy that return ContentEntity
Modifier and Type
Method
Description
`ContentEntity`
DummyContentLocation.`getEntry(String name)`
Returns the content entity with the given name.
`ContentEntity[]`
DummyContentLocation.`listContents()`
Returns all content entities stored in this content-location.

## Uses of ContentEntity in org.pentaho.reporting.libraries.repository.email

Classes in org.pentaho.reporting.libraries.repository.email that implement ContentEntity
Modifier and Type
Class
Description
`class`
`EmailContentItem`
Creation-Date: 17.09.2008, 15:00:00
`class`
`EmailContentLocation`
Creation-Date: 17.09.2008, 15:00:00
Methods in org.pentaho.reporting.libraries.repository.email that return ContentEntity
Modifier and Type
Method
Description
`ContentEntity`
EmailContentLocation.`getEntry(String name)`
`ContentEntity[]`
EmailContentLocation.`listContents()`

## Uses of ContentEntity in org.pentaho.reporting.libraries.repository.file

Classes in org.pentaho.reporting.libraries.repository.file that implement ContentEntity
Modifier and Type
Class
Description
`class`
`FileContentEntity`
A content-entity that uses a java.io.File as backend.
`class`
`FileContentItem`
A content item wrapping a file.
`class`
`FileContentLocation`
A content-location that uses a directory as backend.
Methods in org.pentaho.reporting.libraries.repository.file that return ContentEntity
Modifier and Type
Method
Description
`ContentEntity`
FileContentLocation.`getEntry(String name)`
Returns the content entity with the given name.
`ContentEntity[]`
FileContentLocation.`listContents()`
Lists all content entities stored in this content-location.

## Uses of ContentEntity in org.pentaho.reporting.libraries.repository.stream

Classes in org.pentaho.reporting.libraries.repository.stream that implement ContentEntity
Modifier and Type
Class
Description
`class`
`StreamContentItem`
A stream-content item that wraps around the input and output streams given in the repository.
`class`
`StreamContentLocation`
A content location that wraps around a single stream.
Methods in org.pentaho.reporting.libraries.repository.stream that return ContentEntity
Modifier and Type
Method
Description
`ContentEntity`
StreamContentLocation.`getEntry(String name)`
Returns the content entity with the given name.
`ContentEntity[]`
StreamContentLocation.`listContents()`
Returns all content entities stored in this content-location.

## Uses of ContentEntity in org.pentaho.reporting.libraries.repository.zip

Classes in org.pentaho.reporting.libraries.repository.zip that implement ContentEntity
Modifier and Type
Class
Description
`class`
`ZipContentItem`
Todo: Document Me
`class`
`ZipContentLocation`
Methods in org.pentaho.reporting.libraries.repository.zip that return ContentEntity
Modifier and Type
Method
Description
`ContentEntity`
ZipContentLocation.`getEntry(String name)`
`ContentEntity[]`
ZipContentLocation.`listContents()`
Methods in org.pentaho.reporting.libraries.repository.zip with parameters of type ContentEntity
Modifier and Type
Method
Description
`boolean`
ZipContentLocation.`removeEntity(ContentEntity entity)`

## Uses of ContentEntity in org.pentaho.reporting.libraries.repository.zipreader

Classes in org.pentaho.reporting.libraries.repository.zipreader that implement ContentEntity
Modifier and Type
Class
Description
`class`
`ZipReadContentItem`
Creation-Date: 17.12.2007, 12:19:20
`class`
`ZipReadContentLocation`
Methods in org.pentaho.reporting.libraries.repository.zipreader that return ContentEntity
Modifier and Type
Method
Description
`ContentEntity`
ZipReadContentLocation.`getEntry(String name)`
`ContentEntity[]`
ZipReadContentLocation.`listContents()`

## Uses of ContentEntity in org.pentaho.reporting.libraries.repository.zipwriter

Classes in org.pentaho.reporting.libraries.repository.zipwriter that implement ContentEntity
Modifier and Type
Class
Description
`class`
`ZipContentItem`
Creation-Date: 01.12.2006, 21:23:25
`class`
`ZipContentLocation`
Creation-Date: 01.12.2006, 21:13:24
Methods in org.pentaho.reporting.libraries.repository.zipwriter that return ContentEntity
Modifier and Type
Method
Description
`ContentEntity`
ZipContentLocation.`getEntry(String name)`
`ContentEntity[]`
ZipContentLocation.`listContents()`